Bug 101510 - http install breaks
http install breaks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-01 22:14 EDT by John
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 11:26:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John 2003-08-01 22:14:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
I'm trying to install directly from ftp.redhat.com (mirrors I've found only have the ISOs).

I have this line in my ks file:
url --url http://ftp.redhat.com/pub/redhat/linux/beta/taroon/en/as/i386/

It successfully fetches
 http://ftp.redhat.com/pub/redhat/linux/beta/taroon/en/as/i386//RedHat/base/product.img

http://ftp.redhat.com/pub/redhat/linux/beta/taroon/en/as/i386//RedHat/base/netstg2.img

but then it requests
http://pub//pub/redhat/linux/beta/taroon/en/as/i386/RedHat/base/hdlist

Of course, the host "pub" does not exist.

Note that it does request the updates image correctly.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.I can never understand this section. It seems clear to me what you need to do;-)
2.Create a ks file with that "url" statement
3.try to install using it
    

Actual Results:  Anaconda tries to fetch the hdlist file from a bogus host.

Expected Results:  Anaconda should get it from ftp.redhat.com


Additional info:


I can probably circumvent this by creating a host called pub.demo.room and configuring Apache to pass the stuff along.

I don't think a lot of your severtiy classifications. I think the word is "critical."
Comment 1 Michael Fulbright 2003-08-04 16:15:28 EDT
I just did an install using the URL you provided w/o any problems.  Anything
else you know of which might have affected the install?
Comment 2 Jeremy Katz 2003-08-13 16:27:31 EDT
For example, are you possibly going through a proxy of some sort?
Comment 3 John 2003-08-14 07:57:22 EDT
I'm using transparent proxy. 
 
The python library is using the bogus http 1.1 header 
 
host: pub 
 
I cirvumvented it with iptables magic to force traffic into a local Apache, and 
configured that apache with a vhost name of pub, and using the proxypass 
capability to reroute the requests correctly. 
 
 
Comment 4 Jeremy Katz 2003-08-18 16:02:35 EDT
Should be fixed in newer code
Comment 5 Bill Nottingham 2004-10-11 11:26:04 EDT
Closing MODIFIED bugs as fixed. Please reopen if the problem perists.

Note You need to log in before you can comment on or make changes to this bug.